Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class ApplicationModuleTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.ApplicationModuleTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ApplicationModuleTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `appid`
`protected java.lang.String` | `configName`
`protected java.lang.String` | `definition`
`protected boolean` | `lock`
`protected java.lang.String` | `releaseMode`
`protected java.lang.String` | `siiopPassword`
`protected java.lang.String` | `siiopUserName`
`protected java.lang.String` | `sPassword`
`protected java.lang.String` | `sUserName`
`protected int` | `waittimeout`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ApplicationModuleTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`protected java.lang.String` | `getPoolName()`
`void` | `setAppid(java.lang.String sValue)`
`void` | `setConfigname(java.lang.String configName)`
`void` | `setDefinition(java.lang.String sValue)`
`void` | `setIiop_password(java.lang.String sValue)`
`void` | `setIiop_username(java.lang.String sValue)`
`void` | `setLock(java.lang.String sValue)`
`void` | `setPassword(java.lang.String sValue)`
`void` | `setReleasemode(java.lang.String sValue)`
`void` | `setUsername(java.lang.String sValue)`
`void` | `setWaittimeout(java.lang.String sValue)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### appid

    protected java.lang.String appid

### definition

    protected java.lang.String definition

### configName

    protected java.lang.String configName

### sUserName

    protected java.lang.String sUserName

### sPassword

    protected java.lang.String sPassword

### siiopUserName

    protected java.lang.String siiopUserName

### siiopPassword

    protected java.lang.String siiopPassword

### releaseMode

    protected java.lang.String releaseMode

### lock

    protected boolean lock

### waittimeout

    protected int waittimeout

Constructor Detail

### ApplicationModuleTag

    public ApplicationModuleTag()

Method Detail

### setConfigname

    public void setConfigname(java.lang.String configName)

### setUsername

    public void setUsername(java.lang.String sValue)

### setPassword

    public void setPassword(java.lang.String sValue)

### setIiop_username

    public void setIiop_username(java.lang.String sValue)

### setIiop_password

    public void setIiop_password(java.lang.String sValue)

### setDefinition

    public void setDefinition(java.lang.String sValue)

### setLock

    public void setLock(java.lang.String sValue)

### setReleasemode

    public void setReleasemode(java.lang.String sValue)

### setAppid

    public void setAppid(java.lang.String sValue)

### setWaittimeout

    public void setWaittimeout(java.lang.String sValue)
                        throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getPoolName

    protected final java.lang.String getPoolName()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.